import{s as lt,n as ot,o as rt}from"../chunks/scheduler.d6170356.js";import{S as ut,i as ft,g as l,s as n,r as q,A as mt,h as o,f as a,c as s,j as nt,u as z,x as u,k as st,y as dt,a as i,v as O,d as R,t as W,w as B}from"../chunks/index.fcd4cc08.js";import{H as G}from"../chunks/Heading.8660bd0e.js";function pt(J){let r,M,C,P,f,H,m,K="There are no constraints on how to structure dataset repositories.",L,d,N=`However, if you want the Dataset Viewer to show certain data files, or to separate your dataset in train/validation/test splits, you need to structure your dataset accordingly.
Often it is as simple as naming your data files according to their split names, e.g. <code>train.csv</code> and <code>test.csv</code>.`,b,p,A,c,Q='To structure your dataset by naming your data files or directories according to their split names, see the <a href="./datasets-file-names-and-splits">File names and splits</a> documentation.',k,h,S,g,X=`You can choose the data files to show in the Dataset Viewer for your dataset using YAML.
It is useful if you want to specify which file goes into which split manually.`,D,$,Z="You can also define multiple configurations (or subsets) for your dataset, and pass dataset building parameters (e.g. the separator to use for CSV files).",E,v,tt='See the documentation on <a href="./datasets-manual-configuration">Manual configuration</a> for more information.',F,x,I,_,et=`For image and audio classification datasets, you can also use directories to name the image and audio classes.
And if your images/audio files have metadata (e.g. captions, bounding boxes, transcriptions, etc.), you can have metadata files next to them.`,V,w,at="We provide two guides that you can check out:",Y,y,it='<li><a href="./datasets-image">How to create an image dataset</a></li> <li><a href="https://huggingface.co/docs/datasets/audio_dataset" rel="nofollow">How to create an audio dataset</a></li>',U,T,j;return f=new G({props:{title:"Data files Configuration",local:"data-files-configuration",headingTag:"h1"}}),p=new G({props:{title:"File names and splits",local:"file-names-and-splits",headingTag:"h2"}}),h=new G({props:{title:"Manual configuration",local:"manual-configuration",headingTag:"h2"}}),x=new G({props:{title:"Image and Audio datasets",local:"image-and-audio-datasets",headingTag:"h2"}}),{c(){r=l("meta"),M=n(),C=l("p"),P=n(),q(f.$$.fragment),H=n(),m=l("p"),m.textContent=K,L=n(),d=l("p"),d.innerHTML=N,b=n(),q(p.$$.fragment),A=n(),c=l("p"),c.innerHTML=Q,k=n(),q(h.$$.fragment),S=n(),g=l("p"),g.textContent=X,D=n(),$=l("p"),$.textContent=Z,E=n(),v=l("p"),v.innerHTML=tt,F=n(),q(x.$$.fragment),I=n(),_=l("p"),_.textContent=et,V=n(),w=l("p"),w.textContent=at,Y=n(),y=l("ul"),y.innerHTML=it,U=n(),T=l("p"),this.h()},l(t){const e=mt("svelte-u9bgzb",document.head);r=o(e,"META",{name:!0,content:!0}),e.forEach(a),M=s(t),C=o(t,"P",{}),nt(C).forEach(a),P=s(t),z(f.$$.fragment,t),H=s(t),m=o(t,"P",{"data-svelte-h":!0}),u(m)!=="svelte-1sicc2g"&&(m.textContent=K),L=s(t),d=o(t,"P",{"data-svelte-h":!0}),u(d)!=="svelte-rffpu1"&&(d.innerHTML=N),b=s(t),z(p.$$.fragment,t),A=s(t),c=o(t,"P",{"data-svelte-h":!0}),u(c)!=="svelte-2so1ee"&&(c.innerHTML=Q),k=s(t),z(h.$$.fragment,t),S=s(t),g=o(t,"P",{"data-svelte-h":!0}),u(g)!=="svelte-irk0xr"&&(g.textContent=X),D=s(t),$=o(t,"P",{"data-svelte-h":!0}),u($)!=="svelte-1ee155m"&&($.textContent=Z),E=s(t),v=o(t,"P",{"data-svelte-h":!0}),u(v)!=="svelte-14ak4wy"&&(v.innerHTML=tt),F=s(t),z(x.$$.fragment,t),I=s(t),_=o(t,"P",{"data-svelte-h":!0}),u(_)!=="svelte-r9o772"&&(_.textContent=et),V=s(t),w=o(t,"P",{"data-svelte-h":!0}),u(w)!=="svelte-1s3m8si"&&(w.textContent=at),Y=s(t),y=o(t,"UL",{"data-svelte-h":!0}),u(y)!=="svelte-l8muxk"&&(y.innerHTML=it),U=s(t),T=o(t,"P",{}),nt(T).forEach(a),this.h()},h(){st(r,"name","hf:doc:metadata"),st(r,"content",ct)},m(t,e){dt(document.head,r),i(t,M,e),i(t,C,e),i(t,P,e),O(f,t,e),i(t,H,e),i(t,m,e),i(t,L,e),i(t,d,e),i(t,b,e),O(p,t,e),i(t,A,e),i(t,c,e),i(t,k,e),O(h,t,e),i(t,S,e),i(t,g,e),i(t,D,e),i(t,$,e),i(t,E,e),i(t,v,e),i(t,F,e),O(x,t,e),i(t,I,e),i(t,_,e),i(t,V,e),i(t,w,e),i(t,Y,e),i(t,y,e),i(t,U,e),i(t,T,e),j=!0},p:ot,i(t){j||(R(f.$$.fragment,t),R(p.$$.fragment,t),R(h.$$.fragment,t),R(x.$$.fragment,t),j=!0)},o(t){W(f.$$.fragment,t),W(p.$$.fragment,t),W(h.$$.fragment,t),W(x.$$.fragment,t),j=!1},d(t){t&&(a(M),a(C),a(P),a(H),a(m),a(L),a(d),a(b),a(A),a(c),a(k),a(S),a(g),a(D),a($),a(E),a(v),a(F),a(I),a(_),a(V),a(w),a(Y),a(y),a(U),a(T)),a(r),B(f,t),B(p,t),B(h,t),B(x,t)}}}const ct='{"title":"Data files Configuration","local":"data-files-configuration","sections":[{"title":"File names and splits","local":"file-names-and-splits","sections":[],"depth":2},{"title":"Manual configuration","local":"manual-configuration","sections":[],"depth":2},{"title":"Image and Audio datasets","local":"image-and-audio-datasets","sections":[],"depth":2}],"depth":1}';function ht(J){return rt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xt extends ut{constructor(r){super(),ft(this,r,ht,pt,lt,{})}}export{xt as component};
